summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xmaven/gluegen-rt-android.pom.sh37
-rwxr-xr-xmaven/jogl-all-android.pom.sh37
-rw-r--r--maven/make-projects.txt2
3 files changed, 76 insertions, 0 deletions
diff --git a/maven/gluegen-rt-android.pom.sh b/maven/gluegen-rt-android.pom.sh
new file mode 100755
index 0000000..fc5bfdb
--- /dev/null
+++ b/maven/gluegen-rt-android.pom.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by gluegen-rt.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.gluegen</groupId>
+ <artifactId>gluegen-rt-android</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>GlueGen Runtime</name>
+ <description>JNI binding generator (Android runtime)</description>
+ <url>http://jogamp.org/gluegen/www/</url>
+
+EOF
+
+cat gluegen.pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/maven/jogl-all-android.pom.sh b/maven/jogl-all-android.pom.sh
new file mode 100755
index 0000000..80b93a5
--- /dev/null
+++ b/maven/jogl-all-android.pom.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by jogl-all-android.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jogl</groupId>
+ <artifactId>jogl-all-android</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOGL</name>
+ <description>Java™ Binding for the OpenGL® API (Android)</description>
+ <url>http://jogamp.org/jogl/www/</url>
+
+EOF
+
+cat jogl.pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/maven/make-projects.txt b/maven/make-projects.txt
index eb0a579..d4ea954 100644
--- a/maven/make-projects.txt
+++ b/maven/make-projects.txt
@@ -1,5 +1,6 @@
gluegen-rt : natives : no-dummy-jar
gluegen-rt-main : no-natives : dummy-jar
+gluegen-rt-android : no-natives : no-dummy-jar
joal : natives : no-dummy-jar
joal-main : no-natives : dummy-jar
jocl : natives : no-dummy-jar
@@ -10,3 +11,4 @@ jogl-all-mobile : no-natives : no-dummy-jar
jogl-all-mobile-main : no-natives : dummy-jar
jogl-all-noawt : no-natives : no-dummy-jar
jogl-all-noawt-main : no-natives : dummy-jar
+jogl-all-android : no-natives : no-dummy-jar